using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string text1 = Dns.GetHostName();
            MessageBox.Show("Host Name: " + text1 + "\nIP Adress:" + Dns.GetHostByName(text1).AddressList[0].ToString());


        }
    }
}
